Name: H5Tget_array_dims
Signature:
  int `H5Tget_array_dims`( hid_t `adtype_id`, hsize_t `dims[]`, int `perm[]` )
Purpose:
  Retrieves sizes of array dimensions and dimension permutations.
Description:
  `H5Tget_array_dims` returns the sizes of the dimensions and the dimension permutations of the specified array datatype object.

  The sizes of the dimensions are returned in the array `dims`. The dimension permutations, i.e., C versus FORTRAN array order, are returned in the array `perm`.

Parameters:

hid_t `adtype_id` | IN: Datatype identifier of array object.
hsize_t `dims[]` | OUT: Sizes of array dimensions.
int `perm[]` | OUT: Dimension permutations.

Returns:
  Returns the non-negative number of dimensions of the array type if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_array_dims_f

      SUBROUTINE h5tget_array_dims_f(type_id, dims, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id      ! Identifier of the array datatype
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(OUT) ::  dims
                                                   ! Buffer to store array datatype
        INTEGER, INTENT(OUT)  :: hdferr            ! Error code
      END SUBROUTINE h5tget_array_dims_f

History:

Release | C
1.4.0 | Function introduced in this release.